Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class GetStatusRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.importexport.model.GetStatusRequest

    public class GetStatusRequest

extends AmazonWebServiceRequest

Container for the parameters to the `GetStatus operation`.

This operation returns information about a job, including where the job is in the processing pipeline, the status of the results, and the signature value associated with the job. You can only return information about jobs you own.

See Also:
  `AmazonImportExport.getStatus(GetStatusRequest)`

Constructor Summary
`GetStatusRequest()`

Method Summary
`String` | `getJobId()` A unique identifier which refers to a particular job.
`void` | `setJobId(String jobId)` A unique identifier which refers to a particular job.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetStatusRequest` | `withJobId(String jobId)` A unique identifier which refers to a particular job.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetStatusRequest

    public GetStatusRequest()

Method Detail

### getJobId

    public String getJobId()

  A unique identifier which refers to a particular job.

  Returns:
    A unique identifier which refers to a particular job.

### setJobId

    public void setJobId(String jobId)

  A unique identifier which refers to a particular job.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.

### withJobId

    public GetStatusRequest withJobId(String jobId)

  A unique identifier which refers to a particular job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.